Create CTA
curl --request POST \
--url https://ai.wisepilot.app/api/v1/content/ctas/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headline": "<string>",
"parent_asset_id": "<string>",
"subheadline": "<string>",
"button_text": "<string>",
"subtext": "<string>",
"destination_url": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://ai.wisepilot.app/api/v1/content/ctas/create"
payload = {
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headline": "<string>",
"parent_asset_id": "<string>",
"subheadline": "<string>",
"button_text": "<string>",
"subtext": "<string>",
"destination_url": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
website_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
headline: '<string>',
parent_asset_id: '<string>',
subheadline: '<string>',
button_text: '<string>',
subtext: '<string>',
destination_url: '<string>',
product_line_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://ai.wisepilot.app/api/v1/content/ctas/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"parentAssetId": "<string>",
"parentAssetTitle": "<string>",
"position": "<string>",
"headline": "<string>",
"subheadline": "<string>",
"buttonText": "<string>",
"subtext": "<string>",
"destinationUrl": "<string>",
"status": "<string>",
"clickRate": 123,
"conversionRate": 123,
"useCount": 123
}
}{
"success": false,
"error": "Validation error",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Content
Create CTA
Create a new call-to-action. minRole: editor
POST
/
content
/
ctas
/
create
Create CTA
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Body
application/json
⌘I